// crrc_calibmap - Dialog for calibration and mapping

#ifndef CRRC_CALIBMAP_H
#define CRRC_CALIBMAP_H

#include <plib/puAux.h>
#include "crrc_dialog.h"
#include "../tx_interface.h"

#define NUM_FUNCTIONS   (4)

/** \brief Dialog for calibration and mapping
 *
 *  This dialog configures the T_AxisMapper and
 *  T_Calibration children of a T_TX_Interface.
 */
class CGUICalibMapDialog : public CRRCDialog
{
  public:
    CGUICalibMapDialog();
    ~CGUICalibMapDialog();

   /**
    * update the dialog if something has changed
    */
    void update();
   
    int         state;
    int         numaxis;
  
    puButton      *butCalibrate;
    puaSelectBox  *axismapping[NUM_FUNCTIONS];
    puButton      *invert[NUM_FUNCTIONS];
    puaComboBox   *combo_radiotype;
    puGroup       *calibgroup;
    puGroup       *mapgroup;

  private:
    puSlider  *axis[TX_MAXAXIS];
    char      *axislabel[TX_MAXAXIS+1];
    char      *selectlist[TX_MAXAXIS+2];
  
    float     minval[TX_MAXAXIS];
    float     maxval[TX_MAXAXIS];
  

};



#endif // CRRC_CALIBMAP_H
