
#ifndef CRRC_CTRLGEN_H
#define CRRC_CTRLGEN_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_spin.h"

typedef struct
{
  int         id;
  std::string sDevName;
  int         iMaxIn;
  int         iMaxOut;
} T_AudioDevInfo;


class CGUICtrlGeneralDialog;

/** \brief The CtrlGeneral options dialog.
 *
 */
class CGUICtrlGeneralDialog : public CRRCDialog
{
  public:
    CGUICtrlGeneralDialog();
    ~CGUICtrlGeneralDialog();
    
    void rebuildJoystickComboBox();
    void rebuildAudioInterfaceComboBox();
   
    puaComboBox*  combo_inputMethod;
    puaComboBox*  combo_zoom;
    puButton*     button_calibrate;
    puButton*     button_mixer;
    puButton*     button_joybuttons;
    puaComboBox*  combo_device;
    puaComboBox*  combo_speed;
    
    puaComboBox*  combo_joyNum;
    int           nCombo_joyNum;
    char**        combo_joyNum_list;
  
    puaComboBox*  combo_audioNum;
    int           nCombo_audioNum;
    char**        combo_audioNum_list;
    std::vector<T_AudioDevInfo> devinfo;

};

#endif // CRRC_CTRLGEN_H
