// crrc_Launch.h - Airplane selection dialog

#ifndef CRRC_GUIF3F_H
#define CRRC_GUIF3F_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_slider.h"
#include "../SimpleXMLTransfer.h"

#define MAX_F3F_SOUND_DIRS  (50)

class CGUIF3FDialog;

/** \brief The Launch options dialog.
 *
 */
class CGUIF3FDialog : public CRRCDialog
{
  public:
    CGUIF3FDialog();
    ~CGUIF3FDialog();

    puaComboBox* comboPresets;
    char**      presets;

    puButton*   f3f_enable;
    puButton*   f3f_extend_bases;
    puButton*   start_on_left;

    crrcSlider*   slider_security_line;
    crrcSlider*   slider_bases_distance;
    puaComboBox   *soundSelectBox;
    char         *sound_list[MAX_F3F_SOUND_DIRS + 1];

    puInput*      inputNewName;
    SimpleXMLTransfer* presetGrp;
    int                nPresets;
  
  private:
    void prepareConfigFile(SimpleXMLTransfer *cfg);
};

#endif // CRRC_GUIF3F_H
