// crrc_Joystick.h - Airplane selection dialog

#ifndef CRRC_JOYSTICK_H
#define CRRC_JOYSTICK_H

#include <plib/pu.h>
#include <plib/puAux.h>
#include <SDL.h>
#include <string>

#include "crrc_dialog.h"

class CGUIJoystickDialog;

/**
 * to be able to manipulate the dialog
 */
extern CGUIJoystickDialog* joystickDlg;

/**
 * shows whether CGUIJoystickDialog* joystickDlg is valid
 */
extern int                 nJoystickDlg;


/** \brief The Joystick options dialog.
 *
 */
class CGUIJoystickDialog : public CRRCDialog
{
  public:
    CGUIJoystickDialog();
    ~CGUIJoystickDialog();
   
   /**
    * indicate button press
    * Updates label at combo box to reflect the number of 
    * the button and the choice inside the combo box to 
    * the current binding of this button.
    */
   void joystickDlgButton(SDL_JoyButtonEvent *event);
   
   /**
    * indicate motion
    * Only if axis moved significantily out of the center:
    * Updates label at combo box to reflect the number of 
    * the axis and the choice inside the combo box to
    * the current binding of this axis.
    */
   void joystickDlgMotion(SDL_JoyAxisEvent *event);
   
   puaComboBox* comboButton;
   puaComboBox* comboAxis;
   puOneShot*  buttonBindButton;
   puOneShot*  buttonBindAxis;
   
   std::string textButton;
   std::string textAxis;
   
   int         nAxis;
   int         nButton;
};

#endif // CRRC_JOYSTICK_H
