/**
 *  \file crrc_launch.h
 *  Declaration of class CGUILaunchDialog
 */


#ifndef CRRC_LAUNCH_H
#define CRRC_LAUNCH_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_slider.h"
#include "../SimpleXMLTransfer.h"

class CGUILaunchDialog;

/** \brief The Launch options dialog.
 *
 */
class CGUILaunchDialog : public CRRCDialog
{
  public:
    CGUILaunchDialog();
    ~CGUILaunchDialog();
   
    puaComboBox* comboPresets;
    char**      presets;
   
    crrcSlider*   slider_velocity;
    crrcSlider*   slider_altitude;
    crrcSlider*   slider_angle;

    puButton*     check_dlg;
  
    puInput*      inputNewName;
  
    puText*       text_velocity_abs;
    char          acVelAbs[PUSTRING_MAX];
   
    SimpleXMLTransfer* presetGrp;
    int                nPresets;
  
    void    updateVelAbs();
};

#endif // CRRC_LAUNCH_H
