// crrc_WINDTHERMAL.h - Airplane selection dialog

#ifndef CRRC_WINDTHERMAL_H
#define CRRC_WINDTHERMAL_H

#include <plib/pu.h>
#include <plib/puAux.h>

#include "crrc_dialog.h"
#include "crrc_slider.h"
#include "../SimpleXMLTransfer.h"

class CGUIWindThermalDialog;

/** \brief The WindThermal options dialog.
 *
 */
class CGUIWindThermalDialog : public CRRCDialog
{
  public:
    CGUIWindThermalDialog();
    ~CGUIWindThermalDialog();
   
    puaComboBox*        comboPresetsWind;
    char**             presetsWind;
    SimpleXMLTransfer* presetGrpWind;
    int                nPresetsWind;
   
    puaComboBox*        comboPresetsThermal;
    char**             presetsThermal;
    SimpleXMLTransfer* presetGrpThermal;
    int                nPresetsThermal;

    crrcSlider*        slider_windVelocity;
    crrcSlider*        slider_windDir;
   
    crrcSlider*        slider_thermalStrengthMean;
    crrcSlider*        slider_thermalStrengthSigma;
    crrcSlider*        slider_thermalRadiusMean;
    crrcSlider*        slider_thermalRadiusSigma;
    crrcSlider*        slider_thermalLifetimeMean;
    crrcSlider*        slider_thermalLifetimeSigma;
    crrcSlider*        slider_thermalDensity;
   
    puInput*           inputNewWind;
    puInput*           inputNewThermal;
  
    // Thermal v3 data is not adjustable in GUI, but it has to be handled
    SimpleXMLTransfer* thermalv3data;
};

#endif // CRRC_WINDTHERMAL_H
