
/*
 * General interface for Game mode
 */
#ifndef __TGAMEHANDLER_H
#define __TGAMEHANDLER_H

 
#include "CVector.h"
#include "include_gl.h"
#include <iostream>
#include <string>

class T_GameHandler
{
  public:
    
    T_GameHandler() {};
    virtual ~T_GameHandler() {};
  
    /**
     *  calculate game-specific stuff with respect to the
     *  current absolute time (SDL_GetTicks()) and the
     *  aircraft's position and orientation
     */
    virtual void update(float a,float b, float c) {};

    /**
     *  draw game-specific stuff, like F3F turn markers or
     *  a game-specific text overlay
     */
    virtual void draw() {};
    
    /**
     *  draw a game-specific 2D overlay (informal text etc.)
     */
    virtual void display_infos(GLfloat w, GLfloat h){};

    /* game reset */
    virtual void reset() {};

    virtual std::string gameType() const {return "default"; };

};

#endif
