#ifndef CRRC_FDM_ENV_H
# define CRRC_FDM_ENV_H

#include "fdm/fdm_env.h"

/**
 * Connects CRRCSim to the module "FDM"
 * 
 * @author Jens Wilhelm Wulf
 */
class CRRC_FDM_Env : public FDMEnviroment
{
public:
  
  CRRC_FDM_Env()  {};
  virtual ~CRRC_FDM_Env() {};
  
  /**
   *  Get the height at a distinct point.
   *  \param x x coordinate (positive north)
   *  \param y y coordinate (positive east)
   *  \return terrain height at this point in ft
   */
  virtual float GetSceneryHeight(float x_north, float y_east);
  
  /**
   * Calculate the wind velocities in all three axes in the given position.
   * Returns 1 if this position is outside of the grid.
   * X/Y/Z -- north/east/down
   */
  virtual int CalculateWind(double  X_cg,      double  Y_cg,     double  Z_cg,
                            double& Vel_north, double& Vel_east, double& Vel_down);
};

#endif
