#ifndef CRRC_INPUTS_H
# define CRRC_INPUTS_H

#include <iostream>

#define NUM_AUX_INPUTS 4

/** \brief Flight model control input struct
 *
 * Although the sim currently does only use the four basic inputs,
 * I leave the additional ones...
 */
class TSimInputs
{
  public:
   float aileron;    ///< aileron input, -0.5 ... 0.5
   float elevator;   ///< elevator input, -0.5 ... 0.5
   float rudder;     ///< rudder input, , -0.5 ... 0.5
   float throttle;   ///< throttle input, 0.0 ... 1.0
   float brake;      ///< brake input, not used
   float flap;       ///< flap input, not used 
   float spoiler;    ///< spoiler input, not used
   float retract;    ///< retractable gear input, not used
   float aux[NUM_AUX_INPUTS]; ///< auxiliary inputs, -0.5 ... 0.5, used in display mode
   
   /**
    * maybe this does help to get some kind of random number
    */
   int getRandNum()
   {
     int tmp = 0;

     // Just mix values in some way.
     // In this case multiplying surely leads to the result being zero.
     // What to do?
     // Add?
     // XOR?
     tmp = *(int*)(void*)(&aileron);
     tmp ^= *(int*)(void*)(&rudder);
     tmp ^= *(int*)(void*)(&elevator);
     tmp ^= *(int*)(void*)(&throttle);
     tmp ^= *(int*)(void*)(&brake);
     tmp ^= *(int*)(void*)(&flap);
     tmp ^= *(int*)(void*)(&spoiler);
     tmp ^= *(int*)(void*)(&retract);
     
     return(tmp);
   }

   TSimInputs()
   {
     int i;
     aileron  = 0;
     elevator = 0;
     rudder   = 0;
     throttle = 0;
     brake    = 0;
     flap     = 0;
     spoiler  = 0;
     retract  = 0;
     for(i = 0; i < NUM_AUX_INPUTS; i++)
       aux[i] = 0;
   };
   
   void print()
   {
     std::cout << aileron << " " << elevator << " " << rudder << " " << throttle << "\n";
   };
}; 

#endif
