/*****************************************************************************
Title: CRRCsim, the Charles River Radio Control Club Flight Simulator Project
Authors:
Jan Kansky:  Programming
Mark Drela:  Aerodynamics

Purpose:  The idea for CRRCsim is to take away any last excuse you might
have for not using a flight simulator to keep your thumbs certified for RC
flying.   It's free, it works, enjoy.  This is an open source project, so if
you don't like the way something works, help us fix it!

Thanks:
  Bruce Jackson for the LaRCsim framework.
  Flight Gear project for the sky sphere.

Contacts:
If you'd like to help with CRRCSIM, then send me an email!
    email                : kansky@ll.mit.edu
*****************************************************************************/

#ifndef CRRC_MAIN_H
#define CRRC_MAIN_H

#include "crrc_config.h"
#include "CVector.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#ifdef WIN32
#  include <windows.h>
// DISABLED FOR DEV-CPP #  include "dlportio.h"
# endif

#if defined(__APPLE__) || defined(MACOSX)
 #include <unistd.h>
 #include <sys/types.h>
 #include <sys/mman.h>
 #include <sys/stat.h>
 #include <sys/param.h> // for MAXPATHLEN
 #include <time.h>
 #include <sys/time.h>
#endif  // __APPLE__
#ifdef linux
 #include <sys/types.h>
 #include <sys/mman.h>
 #include <sys/stat.h>
 #include <time.h>
 #include <sys/time.h>
#endif

#include <fcntl.h>
#include <math.h>

#include "config.h"
#include "defines.h"



/*****************************************************************************/
// Functions define inside crrc_main.c and used in- or outside crrc_main.c :
void initialize_flight_model();
void set_aux(int aux_num, int setting);


#ifdef __cplusplus
extern "C" {
#endif //   __cplusplus
void activate_test_mode();
void leave_test_mode();
#ifdef __cplusplus
}
#endif  //   __cplusplus


/*****************************************************************************/
//Variables used outside crrc_main.c :

// Configuration :
extern T_Config*  cfg;

extern CVector *player_pos;

extern char scenery_filename[256];

#endif  // CRRC_MAIN_H
