#ifndef CRRC_MAIN_CPP_H
#define CRRC_MAIN_CPP_H

#include <string>

#include "crrc_config.h"
#include "crrc_soundserver.h"
#include "crrc_sound.h"
#include "SimpleXMLTransfer.h"
#include "config.h"
#include "mouse_kbd.h"
#include "tx_interface.h"
#include "CTime.h"
#include "fdm.h"

std::string reconfigureInputMethod();

int crrc_checkopts(int argc,char *argv[], SimpleXMLTransfer* cfgfile, T_Config* cfg);


/**
 * Tries to load the airplane specified in the config file.
 * Throws an exception on error.
 */
void loadAirplane();

void write_globals_into_config();

/// Exit from CRRCsim as clean as possible
void crrc_exit(int exit_code, const char *errmsg = NULL);

// Interface to TX
extern T_TX_Interface* TXInterface;

extern TInputDev          inputDev;

extern CTime *crrc_time;

// Variometer sound
extern T_VariometerSound *vario_sound;
extern int vario_sound_channel;


#endif  // CRRC_MAIN_CPP_H
