/*****************************************************************************
Title: CRRCsim, the Charles River Radio Control Club Flight Simulator Project
Authors:
Jan Kansky:  Programming
Mark Drela:  Aerodynamics

Purpose:  The idea for CRRCsim is to take away any last excuse you might
have for not using a flight simulator to keep your thumbs certified for RC
flying.   It's free, it works, enjoy.  This is an open source project, so if
you don't like the way something works, help us fix it!

Thanks:
  Bruce Jackson for the LaRCsim framework.
  Flight Gear project for the sky sphere.

Contacts:
If you'd like to help with CRRCSIM, then send me an email!
    email                : kansky@ll.mit.edu
*****************************************************************************/

/** \file crrc_system.h
 *
 *  This file contains the declarations of some platform-specific stuff for
 *  system interaction.
 *
 *  \author Jan Reucker
 */

#ifndef CRRC_SYSTEM_H
#define CRRC_SYSTEM_H

#include <string>

/// The type of a message box
typedef enum {SM_INFO, SM_ERROR, SM_WARNING} SM_TYPE;

/// Send a message to the operating system
void SystemMessage(const char * msg, SM_TYPE type = SM_ERROR);

/// Get a string containing the operating system name and version
char * getOSVersionString();

/// Get the current system time as a formatted string
void getSystemTimeString(std::string& t);

#endif  // CRRC_SYSTEM_H
