#ifndef DEFINES_H
#define DEFINES_H

#ifndef TRUE
 #define TRUE 1
#endif

#ifndef FALSE
 #define FALSE 0
#endif

#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif

// exit codes for the command line
#define CRRC_EXIT_SUCCESS   (0)
#define CRRC_EXIT_FAILURE   (1)


/*****************************************************************************/
#define NUM_AXISFUNCS     (5)   // Total number of functions for the axis (including NOTHING)
//      NOTHING           (0)
#define AILERON           (1)   // Some things you can bind to joystick axes and other axes.
#define ELEVATOR          (2)   // 0 = NOTHING. Please don't change values. Has to correspond to
#define RUDDER            (3)   // 'char* AxisStrings[]' in mouse_kbd.cpp
#define THROTTLE          (4)

#define KEYBOARD          1    // Please don't change values. Has to
#define MOUSE             2    // correspond to 'static char *zoomCtrl[]' in GUI/crrc_ctrlgen.cpp

#define NOTHING           0    // some things you can bind to
#define RESUME            1    // joystick buttons and other keys or buttons
#define PAUSE             2    // Please don't simply change. Has to correspond
#define RESET             3    // to 'const char* ButtonStrings[]' in mouse_kbd.cpp
#define INCTHROTTLE       4
#define DECTHROTTLE       5
#define ZOOMIN            6
#define ZOOMOUT           7

#define MAXJOYAXIS        7    // highest joystick axis allowed (first = 0)
#define MAXJOYBUTTON      9    // highest joystick button allowed (first = 0)

#define FOG_R 1.0f
#define FOG_G 1.0f
#define FOG_B 1.0f
#define FOG_A 1.0f

/**
 * Key to zoom in
 */
#define KEY_ZOOM_IN  SDLK_KP_PLUS
//#define KEY_ZOOM_IN  SDLK_e

/**
 * Key to zoom out
 */
#define KEY_ZOOM_OUT  SDLK_KP_MINUS
//#define KEY_ZOOM_OUT  SDLK_i

/**
 * Key for more throttle
 */
#define KEY_THROTTLE_MORE SDLK_PAGEUP
//#define KEY_THROTTLE_MORE SDLK_h

/**
 * Key for less throttle
 */
#define KEY_THROTTLE_LESS SDLK_PAGEDOWN
//#define KEY_THROTTLE_LESS SDLK_a


/**
 * Define to 1 to test joystick configuration without having a joystick
 */
#define TEST_WITHOUT_JOYSTICK 0

/**
 * Define as 1 to be able to take a picture of the windfield.
 * Press 's' when flying to save current state.
 * See windfield.cpp
 */
#define DEBUG_THERMAL_SCRSHOT 1

/**
 * Which thermal simulation to use?
 *  0: the 'old' code 
 *  1: Jens Wilhelm Wulf, January 2005
 * There is a document in 'documentation' describing both of them.
 */
#define THERMAL_CODE 1

#endif
