/** \file global.cpp
 *
 *  Initialization of the global variables.
 */
 
#include "global.h"
#include <stdlib.h>

int               Global::nVerbosity = 0;
SimStateHandler*  Global::Simulation = NULL;
int               Global::training_mode = 0;
Scenery*          Global::scenery = NULL;
CGUIMain*         Global::gui = NULL;
CRRCAirplane*     Global::airplane = NULL;
CRRC_FDM*         Global::fdm = NULL;
CRRCAudioServer*  Global::soundserver = NULL;
T_GameHandler*    Global::gameHandler = NULL;
GlConsole*        Global::console = NULL;
TSimInputs        Global::inputs;
float             Global::dt;
int               Global::nFPS;
std::string       Global::verboseString;
TestModeData      Global::testmode;
 
#ifdef WIN32
const char* serialDevs[] = {"COM1:", "COM2:", "COM3:", "COM4:", NULL};
#else
const char* serialDevs[] = {"/dev/ttyS0", "/dev/ttyS1", "/dev/ttyS2", "/dev/ttyS3", "/dev/ttyUSB0", "/dev/ttyUSB1", "/dev/ttyUSB2", "/dev/ttyUSB3", NULL};
#endif
