// Created 11/09/06 Todd R. Templeton <ttemplet@eecs.berkeley.edu>
// Based on tx_serial2.h

#ifndef TX_INTERFACE_MNAV_H
#define TX_INTERFACE_MNAV_H

#include "mnav.h"
#include "../tx_interface.h"
#include "../SimpleXMLTransfer.h"

class T_TX_InterfaceMNAV : public T_TX_Interface
{
  public:
   T_TX_InterfaceMNAV();
   virtual ~T_TX_InterfaceMNAV();
   
   /**
    * Get input method
    */
   virtual int inputMethod() { return(T_TX_Interface::eIM_mnav); };
   
   /**
    * Initialize interface. Read further config data from a file, if necessary.
    */
   int init(SimpleXMLTransfer* config);
   
   /**
    * Write configuration back
    */
   virtual void putBackIntoCfg(SimpleXMLTransfer* config);
      
   /**
    * Set current input data. If some value is not available, the value 
    * is not overwritten.
    */
   void getInputData(TSimInputs* inputs);
   
  private:
   MNAV*              input;
   uint16_t           cnt_cmd[3];
   uint8_t            reverse;
   
   std::string        device;
};

#endif
