#include "tx_interface_zhenhua.h"

#define MARKER (0xEF)

T_TX_InterfaceZhenHua::T_TX_InterfaceZhenHua ()/*{{{*/
	:T_TX_InterfaceSerial (),
	nextChannel (-1)
{
#if DEBUG_TX_INTERFACE > 0
	printf ("T_TX_InterfaceZhenHua::T_TX_InterfaceZhenHua ()\n");
#endif
}
/*}}}*/

T_TX_InterfaceZhenHua::~T_TX_InterfaceZhenHua ()/*{{{*/
{
#if DEBUG_TX_INTERFACE > 0
	printf ("T_TX_InterfaceZhenHua::~T_TX_InterfaceZhenHua ()\n");
#endif
}
/*}}}*/

void T_TX_InterfaceZhenHua::processDataByte (unsigned char byte)/*{{{*/
{
	if (byte==MARKER)
	{
		// The marker byte will always reset the channel counter
		nextChannel=0;
	}
	else if (nextChannel>=0 && nextChannel<TX_MAXAXIS)
	{
		// Read up to TX_MAXAXIS channels
		setRawData (nextChannel, scaleValue (reverseByte (byte))-0.5);
		nextChannel++;
	}
	else
	{
		// Wait for the marker byte
		nextChannel=-1;
	}
}
/*}}}*/

uint8_t T_TX_InterfaceZhenHua::reverseByte (uint8_t data)/*{{{*/
{
        uint8_t result=0;

        for (int i=0; i<8; ++i)
        {
                result<<=1;
                if (data&1) result++;
                data>>=1;
        }

        return result;
}
/*}}}*/

float T_TX_InterfaceZhenHua::scaleValue (uint8_t data)/*{{{*/
{
        // Input range: 52...198
        return (data-52)/(float)(198-52);
}
/*}}}*/

int T_TX_InterfaceZhenHua::init (SimpleXMLTransfer *config)/*{{{*/
{
	int ret=T_TX_InterfaceSerial::init (config);

	setRts (true);
	setDtr (false);

	return ret;
}
/*}}}*/

