#ifndef TX_INTERFACE_ZHENHUA
#define TX_INTERFACE_ZHENHUA

#include "../T_TX_InterfaceSerial.h"

/** \brief The Zhen Hua interface
 *  
 *  This interfaces handles the Zhen Hua 5 Byte protocol. This is the protocol
 *  used by the Walkera Dragonfly 4 channal transmitter.
 *
 *  The serial transmission runs without flow control.
 *  To activate the interface, RTS has to be set.
 */

class T_TX_InterfaceZhenHua: public T_TX_InterfaceSerial
{
	public:
		T_TX_InterfaceZhenHua ();
		~T_TX_InterfaceZhenHua ();

		virtual int init (SimpleXMLTransfer *config);
		virtual std::string getInterfaceName () { return "zhenhua"; }
		virtual void processDataByte (unsigned char byte);
		int inputMethod () { return T_TX_Interface::eIM_zhenhua; }
		int getNumAxes()  { return 4; }

	protected:
		float scaleValue (uint8_t data);
	uint8_t reverseByte (uint8_t data);
	
	private:
		int nextChannel;

};


#endif    // TX_INTERFACE_SERPIC

