#include "intgr.h"

namespace CRRCMath
{

  inline template class Integrationsverfahren<double>;
  inline template class Integrationsverfahren<Vector3>;
  inline template class IntegrationsverfahrenB<double>;
  inline template class IntegrationsverfahrenB<Vector3>;
  inline template class IntegrationsverfahrenC<double>;
  
  template<class C> void Integrationsverfahren<C>::init(C Startwert, C AblStartwert)
  {
     AblAlt = AblStartwert;
     val    = Startwert;
  }

  template<class C> void Integrationsverfahren<C>::step(double dT, C AblNeu)
  {
     val    = val + (AblNeu*3 - AblAlt)*0.5*dT;
     AblAlt = AblNeu;
  }

  template<class C> void IntegrationsverfahrenB<C>::init(C Startwert, C AblStartwert)
  {
     AblAlt = AblStartwert;
     val    = Startwert;
  }

  template<class C> void IntegrationsverfahrenB<C>::step(double dT, C AblNeu)
  {
     val    = val + (AblNeu + AblAlt)*0.5*dT;
     AblAlt = AblNeu;
  }

  template<class C> void IntegrationsverfahrenC<C>::init(C Startwert, C AblStartwert)
  {
     val    = Startwert;
  }

  template<class C> void IntegrationsverfahrenC<C>::step(double dT, C AblNeu)
  {
     val    = val + AblNeu*dT;
  }

};
