#include "pt1.h"

#include <math.h>

namespace CRRCMath
{
  void PT1::init(double ival, double zeitkonstante)
  {
    val            = ival;
    dZeitkonstante = zeitkonstante;
    d_dt_Alt       = -1;
  }

  void PT1::step(double dt, double nval)
  {
    if (d_dt_Alt != dt)
    {
      if (dZeitkonstante == 0)
        d_Mul = 1;
      else
        d_Mul    = 1-exp(-dt/dZeitkonstante);
      d_dt_Alt = dt;
    }

    val += (nval-val)*d_Mul;
  }
};
