#include "ratelim.h"

namespace CRRCMath
{
  void RateLimiter::init(double nval, double rate)
  {
    val     = nval;
    ratemax = rate;
  }

  void RateLimiter::step(double dt, double nval)
  {
    double dmax = ratemax * dt;

    double diff = nval - val;

    if (diff > dmax)
    {
      diff = dmax;
    }
    else if (diff < -dmax)
    {
      diff = -dmax;
    }

    val += diff;
  }
};
