#ifndef RATELIM_H
# define RATELIM_H

namespace CRRCMath
{
  /**
   * Limits the rate of change of a value.
   *
   * @author Jens Wilhelm Wulf
   */
  class RateLimiter
  {
    public:

     /**
      * @param ival      initial value
      * @param rate      the value is allowed to change rate per second
      */
     void init(double ival, double rate);

     /**
      * @param dt   timestep [s]
      * @param nval new input value
      */
     void step(double dt, double nval);

     /**
      * limited value
      */
     double val;

    private:
     double ratemax;
  };
};
#endif
