#include "gearing.h"

#include <iostream>

Power::Gearing::Gearing()
{
  // set default values
  i   = 1;
  J_G = 0;
  eta = 1;
}

Power::Gearing::Gearing(SimpleXMLTransfer* xml)
{
  int idx = xml->indexOfChild("gearing");
  
  // set default values
  i   = 1;
  J_G = 0;
  eta = 1;
  
  if (idx >= 0)
  {
    SimpleXMLTransfer* it = xml->getChildAt(idx);
    i   = it->attributeAsDouble("i",   i);
    J_G = it->attributeAsDouble("J",   J);
    eta = it->attributeAsDouble("eta", eta);
    
    std::cout << "    Gearing: i=" << i << ", J=" << J_G << " kg m^2\n";
  }
}

double Power::Gearing::getJ()
{
  return(J_G + J*(i*i));
}

