#include "simplethrust.h"

#include <iostream>


Power::SimpleThrust::SimpleThrust(SimpleXMLTransfer* xml) : Gearing(xml)
{
  J = 0;
  std::cout <<"      SimpleThrust\n";
  k_F = xml->getDouble("k_F");
  k_M = xml->getDouble("k_M");
}

void Power::SimpleThrust::step(PowerValuesStep* values)
{
  double  omega = i*values->omega;
  double  n     = omega/(2*M_PI);

  values->force->r[0]  += omega*k_F;
  values->moment_shaft -= omega*k_M*i/eta;
  values->dPropFreq     = n;
}
