#ifndef THERMALSOLVE_H
#define THERMALSOLVE_H

#include "thconf.h"

/**
 * 
 * This has initially been a general solver for fourth order equations.
 * Now it is specialized.
 * 
 * @author Jens W. Wulf
 */
class SolveFourthOrder
{
  public:
   flttype n0;
   flttype n1;
   flttype n2;
   flttype n3;
   flttype n4;

   flttype res;

   flttype start[5];
   flttype xi[5];
   flttype yi[5];
   unsigned int     anz;
      
   static flttype      precmin;
   static unsigned int loopmax;
   
   flttype ell_p1;
   flttype ell_p2;
   flttype ell_p3;
   flttype ell_p4;
   flttype ell_p5;
   flttype ell_x;
   flttype ell_y;
   
   /**
    * Sucht nur nach Lsungen im Bereich 0..1
    */
   void solve();
};

#endif
