#include "zoom.h"

#include "lib_conversions.h"
#include "crrc_graphics.h"

#include <stdio.h>
#include <math.h>

/** global variables -- for description see header file */

float   flAutozoom;

/** local variables */

/**
 * field_of_view (without autozoom)
 */
float flFieldOfView;

/**
 * field of view in radians as calculated by zoom_calc()
 */
float flFieldOfView_Current;


void zoom_in()
{
  flFieldOfView-=5;
  if (flFieldOfView < 5)
    flFieldOfView=5;
}

void zoom_out()
{
  flFieldOfView+=5;
  if (flFieldOfView > 55)
    flFieldOfView=55;
}

void zoom_set(int y)
{
  flFieldOfView=35+(60*(float)(y-(window_ysize/2))/window_ysize);
}

void zoom_reset()
{
  // read values
  flFieldOfView = cfgfile->getDouble("video.zoom.field_of_view", 35);
  flAutozoom    = cfgfile->getDouble("video.zoom.autozoom", 0.05);
}

void zoom_putBackIntoCfg()
{
  cfgfile->setAttributeOverwrite("video.zoom.field_of_view", doubleToString(flFieldOfView));
  cfgfile->setAttributeOverwrite("video.zoom.autozoom",      doubleToString(flAutozoom));
}

float zoom_calc(float flDistance)
{
  const float flNormDist = 21.5;
  float flSizeOfPlane = tan(M_PI * flFieldOfView / 180) * flNormDist;

  flDistance = flNormDist + (flDistance - flNormDist) * flAutozoom;
  
  flFieldOfView_Current = atan(flSizeOfPlane / flDistance);
  
  return(180*flFieldOfView_Current/M_PI);
}

float zoom_get()
{
  return(flFieldOfView_Current);
}
