#ifndef ZOOM_H
#define ZOOM_H

/**
 * Apply automatic zoom?
 * 0: no automatic zoom
 * 1: full automatic zoom (constant visual size of plane)
 */
extern float flAutozoom;

/**
 * Reset field of view and flAutozoom to initial value
 */
void zoom_reset();

/**
 * Write field of view and flAutozoom back to cfg
 */
void zoom_putBackIntoCfg();

void zoom_in();
void zoom_out();
void zoom_set(int y);

/**
 * Automatically adjust the field of view so that the 
 * plane doesn't become too small.
 * Returns the field of view in degrees.
 */
float zoom_calc(float flDistance);

/**
 * Returns field of view in radians as calculated by last 
 * call of zoom_calc().
 */
float zoom_get();

#endif
